<?php

/**
 * Class NewTrustedShopsThemeLayout
 */
class NewTrustedShopsThemeLayout extends NewTrustedShopsThemeLayout_parent
{
    /**
     * Prepare data
     */
    public function prepare_data()
    {
        parent::prepare_data();
        $this->initNewTrustedShopsSidebar();
    }

    /**
     *
     */
    protected function initNewTrustedShopsSidebar()
    {
        $db = StaticGXCoreLoader::getDatabaseQueryBuilder();

        $installed = (bool) gm_get_conf('MODULE_CENTER_NEWTRUSTEDSHOPS_INSTALLED');

        if ($installed === true) {
            $languageCode = $_SESSION['language_code'];

            $result = $db->select('trustedshops_id')->from('trustedshops_configuration')->where('trustedshops_locale', $_SESSION['language_code'])->get()->row_array();

            if(isset($result['trustedshops_id']) and empty($result['trustedshops_id']) === false) {
                $trustedshopsShopReviewCodeActive = $db->select('shop_review_active')->from('trustedshops_configuration')->where('trustedshops_locale', $languageCode)->get()->row_array();
                $trustedshopsShopReviewCode       = $db->select('shop_review_code')->from('trustedshops_configuration')->where('trustedshops_locale', $languageCode)->get()->row_array();

                $trustedshopsShopReviewCode = htmlspecialchars_decode($trustedshopsShopReviewCode["shop_review_code"]);

                $this->content_array['trustedshops_shop_review_active'] = $trustedshopsShopReviewCodeActive['shop_review_active'];
                $this->content_array['trustedshops_shop_review_code']   = $trustedshopsShopReviewCode;
            }
        }
    }
}
