$(document).ready(function() {
    var trustedShopsId;
    var locale = sessionStorage.getItem('trustedshops_locale');

    if (locale === null) {
        locale = 'de';
        sessionStorage.setItem('trustedshops_locale', locale)
    }

    $.post(
        "admin.php?do=NewTrustedShopsAjax/SetLocale",
        { locale: locale }).done(
        function(status) {
            return;
        }
    );

    $("#trustedshops-language").val(locale).change();

    $.post(
        "admin.php?do=NewTrustedShopsAjax/GetTrustedShopsId",
        { locale: locale }).done(
        function(data, status) {
            $('#trustedshops_id').val(data.trustedShopsId);
        }
    );

    $('#trustedshops-language').on('change', function(e) {
        sessionStorage.setItem('trustedshops_locale', $(this).val());

        $.post(
            "admin.php?do=NewTrustedShopsAjax/GetTrustedShopsId",
            { locale: $(this).val() }).done(
            function(data, status) {
                $('#trustedshops_id').val(data.trustedShopsId);
            }
        );

        $.post(
            "admin.php?do=NewTrustedShopsAjax/SetLocale",
            { locale: $(this).val() }).done(
            function(status) {
                location.href = 'admin.php?do=NewTrustedShopsModuleCenterModule';
                return;
            }
        );
    });

    $("#trustedshops-id-configuration").submit(function(e) {
        $.post(
            "admin.php?do=NewTrustedShopsAjax/GetTrustedShopsId",
            { locale: $(this).val() }).done(
            function(data, status) {
                trustedShopsId = data.trustedShopsId;
            }
        );
    });
});
